Skip to content

Create Task (Corrective Action)

Create a new corrective action / task instance from an object schema. Requires READ or ADMIN permissions.

Parameters

name * are required parametersdata typedescription
schemaId*stringThe object schema ID to create a task instance from
body.dataobjectInitial task field data
body.ownerIdsstring[]User IDs to set as owners of the task
body.assigneeIdsByStateobjectMap of workflow states to assignee user IDs

Return Value

json
{
  "statusCode": 201,
  "message": "Task instance created",
  "data": { "...taskInstance..." }
}

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/task/:schemaId/create" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"data": {"fieldName": "value"}, "ownerIds": ["uid123"]}'

ENDPOINTS

post/api/{targetPath}/task/:schemaId/create